Subject: SREC utility

From: Adeel Malik <[email-masked]>
Date: Wed, 1 Oct 2003 19:58:46 +0500

Hi All,
 
I have a binary file in Motorola's SREC format. The address field in each
S-record (S3) has a specific address value for a device such as an SDRAM. I
need to change the SREC file for mapping to another memory device located at
some other memory address. I want to have a utility that can convert the
SREC format file generated for some particular address range to another SREC
file generated for some other address range. I mean that utility should only
change the address field  and checksum field of my S-RECORD and modify it
for another address range. The utility should not change the data field of
S-Records anyhow.
 
Regards,
ADEEL MALIK,